Name:           python-texttable
Version:        1.6.3
Release:        1
Summary:        Python module for creating simple ASCII tables
License:        MIT
URL:            https://github.com/foutaise/texttable
Source0:        https://github.com/foutaise/texttable/archive/v%{version}.tar.gz
BuildArch:      noarch

%description
Python module for creating simple ASCII tables

%package -n python3-texttable
%{?python_provide:%python_provide python3-texttable}
Summary:        Python module for creating simple ASCII tables
BuildRequires:  python3-devel, python3-setuptools, python3-pytest

%description -n python3-texttable
Python module for creating simple ASCII tables

%prep
%autosetup -n texttable-%{version}

%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} --verbose tests.py

%files -n python3-texttable
%doc PKG-INFO README.md
%license LICENSE
%{python3_sitelib}/*

%changelog
* Thu Jan 14 2020 yanglongkang <yanglongkang@huawei.com> - 1.6.3-1
- update package to 1.6.3

* Fri Oct 30 2020 yanglongkang <yanglongkang@huawei.com> - 1.6.2-2
- remove python2 dependency

* Thu Jul 16 2020 jixinjie <jixinjie@huawei.com> - 1.6.2-1
- update package to 1.6.2

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 1.4.0-2
- init package
